[arch-commits] Commit in samba/repos (6 files)

Tobias Powalowski tpowa at archlinux.org
Thu Jan 14 14:45:15 EST 2010


    Date: Thursday, January 14, 2010 @ 14:45:14
  Author: tpowa
Revision: 63113

Merged revisions 63111 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/samba/trunk

........
  r63111 | tpowa | 2010-01-14 19:43:30 +0000 (Do, 14 Jan 2010) | 2 lines
  
  upgpkg: samba 3.4.4-1
      PKGBUILD cleanup, added tdb,talloc, e2fsprogs depends
........

Modified:
  samba/repos/extra-i686/	(properties)
  samba/repos/extra-i686/PKGBUILD
Deleted:
  samba/repos/extra-i686/fix-workgroup-listing.patch
  samba/repos/extra-i686/heimdal.patch
  samba/repos/extra-i686/no-clients.patch
  samba/repos/extra-i686/samba-3.0.21a-ntlmssp.patch

-----------------------------+
 PKGBUILD                    |  102 ++++++++++++++++--------------------------
 fix-workgroup-listing.patch |   63 -------------------------
 heimdal.patch               |   33 -------------
 no-clients.patch            |   31 ------------
 samba-3.0.21a-ntlmssp.patch |   13 -----
 5 files changed, 41 insertions(+), 201 deletions(-)


Property changes on: samba/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /samba/trunk:1-59627
   + /samba/trunk:1-63112

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2010-01-14 19:44:15 UTC (rev 63112)
+++ extra-i686/PKGBUILD	2010-01-14 19:45:14 UTC (rev 63113)
@@ -1,80 +1,64 @@
 # $Id$
-# Maintainer: judd <jvinet at zeroflux.org>
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
 pkgbase=samba
-pkgname=('tdb' 'smbclient' 'samba')
-pkgver=3.4.3
+pkgname=('smbclient' 'samba')
+pkgver=3.4.4
 # We use the 'A' to fake out pacman's version comparators.  Samba chooses
 # to append 'a','b',etc to their subsequent releases, which pamcan
 # misconstrues as alpha, beta, etc.  Bad samba!
-_realver=3.4.3
-pkgrel=4
+_realver=3.4.4
+pkgrel=1
 arch=(i686 x86_64)
 url="http://www.samba.org"
 license=('GPL3')
-makedepends=('db>=4.7' 'popt' 'libcups' 'acl' 'libldap' 'libcap>=2.16' 'heimdal>=1.3.1' 'pam' 'fam' 'gnutls>=2.4.1')
+makedepends=('db>=4.7' 'popt' 'libcups' 'acl' 'libldap' 'libcap>=2.16' 'heimdal>=1.2-1' 'pam' 'fam' 'gnutls>=2.4.1' 'talloc' 'tdb')
 options=(!makeflags)
 source=(http://us1.samba.org/samba/ftp/stable/${pkgbase}-${_realver}.tar.gz
         samba samba.logrotate 
         swat.xinetd 
         samba.pam 
-        samba.conf.d
-        fix-workgroup-listing.patch)
+        samba.conf.d)
 
 build() {
-  # fix https://bugzilla.samba.org/show_bug.cgi?id=6880
-  cd ${srcdir}/${pkgbase}-${_realver}
-  patch -Np1 -i ../fix-workgroup-listing.patch || return 1
   cd ${srcdir}/${pkgbase}-${_realver}/source3
-  
-  # heimdal-1.3.1 build fix
-  sed -i "/KRB5_DEPRECATED/s#1##" libsmb/clikrb5.c
-  
-  ./configure --prefix=/usr --with-configdir=/etc/samba \
+  ./configure --prefix=/usr \
+              --libdir=/usr/lib/ \
+              --localstatedir=/var \
+              --with-configdir=/etc/samba \
               --with-lockdir=/var/cache/samba \
               --with-piddir=/var/run/samba \
-              --with-fhs --with-pam --with-ads --with-acl-support \
-              --with-cifsmount --with-libsmbclient \
-              --with-syslog --with-pam_smbpass \
-              --localstatedir=/var --disable-dnssd \
-	      --disable-avahi --libdir=/usr/lib/samba
+              --with-fhs \
+              --with-pam \
+              --with-pam_smbpass \
+              --with-pammodulesdir=/lib/security \
+              --with-ads \
+              --with-acl-support \
+              --with-cifsmount \
+              --with-libsmbclient \
+              --with-syslog \
+              --enable-external-libtalloc \
+              --disable-dnssd \
+              --disable-avahi \
+              --without-libtdb 
   make || return 1
 }
 
-package_tdb () {
-pkgdesc="A Trivia Database similar to GDBM but allows simultaneous commits"
-   cd ${srcdir}/${pkgbase}-${_realver}/lib/replace
-   ./autogen.sh
-   ./configure --prefix=/usr
-   make || return 1
-   cp replace.o snprintf.o getpass.o ../tdb/
-   cd ${srcdir}/${pkgbase}-${_realver}/lib/tdb
-   ./autogen.sh
-   ./configure --prefix=/usr
-   make || return 1
-   make DESTDIR=${pkgdir} install || return 1
-   ln -sf  /usr/lib/libtdb.so.1.1.3 ${pkgdir}/usr/lib/libtdb.so.1
-   ln -sf  /usr/lib/libtdb.so.1.1.3 ${pkgdir}/usr/lib/libtdb.so
-}
-
 package_smbclient () {
 pkgdesc="Tools to access a server's filespace and printers via SMB"
-depends=('readline>=6.0.00' 'popt' 'libldap>=2.4.18-1' 'libcap>=2.16' 'heimdal>=1.2-1' 'db>=4.7' "tdb>=$pkgver")
+depends=('readline>=6.0.00' 'popt' 'libldap>=2.4.18-1' 'libcap>=2.16' 'heimdal>=1.2-1' 'db>=4.7' 'e2fsprogs' 'tdb' 'talloc')
   cd ${srcdir}/${pkgbase}-${_realver}/source3
-  mkdir -p ${pkgdir}/usr/bin ${pkgdir}/sbin ${pkgdir}/usr/lib/samba
+  mkdir -p ${pkgdir}/usr/bin ${pkgdir}/sbin ${pkgdir}/usr/lib
   install -m755 bin/{smbclient,rpcclient,smbspool,smbtree,smbcacls,smbcquotas,smbget,net,nmblookup} ${pkgdir}/usr/bin/
   install -m755 bin/{mount.cifs,umount.cifs} ${pkgdir}/sbin/
-  mv  bin/*.so* ${pkgdir}/usr/lib/samba
+  for i in libnetapi* libwbclient* libsmbclient*;do
+      cp  -a bin/${i}*.so* ${pkgdir}/usr/lib/
+  done
   install -m755 script/smbtar ${pkgdir}/usr/bin/
   mkdir -p ${pkgdir}/usr/lib/cups/backend
   ln -sf /usr/bin/smbspool ${pkgdir}/usr/lib/cups/backend/smb
-  rm -rf  ${pkgdir}/usr/lib/samba/libsmbsharemodes*
-  for i in ${pkgdir}/usr/lib/samba/*; do
-      ln -sf samba/$(basename $i) ${pkgdir}/usr/lib/$(basename $i)
-  done
-  rm -rf ${pkgdir}/usr/lib/libtdb*
   mkdir -p ${pkgdir}/usr/include
   install -m644 include/libsmbclient.h ${pkgdir}/usr/include/
-  install -m644 ${srcdir}/${pkgbase}-${_realver}/lib/talloc/talloc.h ${pkgdir}/usr/include/
   install -m644 lib/netapi/netapi.h ${pkgdir}/usr/include/
   mkdir -p ${pkgdir}/usr/share/man/man{1,7,8}
   for man in smbspool \
@@ -95,12 +79,12 @@
         etc/samba/smb.conf
         etc/xinetd.d/swat
         etc/conf.d/samba)
-depends=('db>=4.7' 'popt' 'libcups' 'acl' 'libldap' "smbclient>=$pkgver" 'libcap>=2.16' 'heimdal>=1.2-1' 'pam' 'fam' 'gnutls>=2.4.1' "tdb>=$pkgver")
+depends=('db>=4.7' 'popt' 'libcups' 'acl' 'libldap' "smbclient>=$pkgver" 'libcap>=2.16' 'heimdal>=1.2-1' 'pam' 'fam' 'gnutls>=2.4.1' 'e2fsprogs' 'tdb' 'talloc')
   cd ${srcdir}/samba-${_realver}/source3
   mkdir -p ${pkgdir}/var/log/samba
   mkdir -p ${pkgdir}/etc/samba/private
   chmod 700 ${pkgdir}/etc/samba/private
-  make DESTDIR=$pkgdir install || return 1
+  make DESTDIR=${pkgdir} install || return 1
   chmod 644 ${pkgdir}/usr/include/*.h
   rm -rf ${pkgdir}/usr/var
   (cd script; cp installbin.sh i; cat i | sed 's/\/sbin\///' > installbin.sh)
@@ -112,10 +96,6 @@
   install -D -m644 ../../samba.logrotate ${pkgdir}/etc/logrotate.d/samba
   install -D -m644 ../../swat.xinetd ${pkgdir}/etc/xinetd.d/swat
   install -D -m644 ../../samba.pam ${pkgdir}/etc/pam.d/samba
-  # symlink libs
-  for i in ${pkgdir}/usr/lib/samba/libsmbshare*; do
-      ln -sf samba/$(basename $i) ${pkgdir}/usr/lib/$(basename $i)
-  done
   # spool directory
   install -d -m1777 ${pkgdir}/var/spool/samba
   sed -i 's|/usr/spool/samba|/var/spool/samba|g' ${pkgdir}/etc/samba/smb.conf.default
@@ -125,34 +105,34 @@
   install -D -m755 ${srcdir}/samba-${_realver}/nsswitch/libnss_wins.so ${pkgdir}/lib/libnss_wins.so
   ln -s libnss_wins.so ${pkgdir}/lib/libnss_wins.so.2
   install -D -m755 ${srcdir}/samba-${_realver}/nsswitch/libnss_winbind.so ${pkgdir}/lib/libnss_winbind.so
-  install -D -m755 bin/pam_winbind.so ${pkgdir}/lib/security/pam_winbind.so
-  # remove conflict files of smbclient and tdb
+  # remove conflict files of smbclient
   for man in libsmbclient smbspool \
       umount.cifs mount.cifs net; do
       rm -f ${pkgdir}/usr/share/man/man8/${man}.8
   done
-  for i in libnetapi* libtdb* libtalloc* libwbclient* libsmbclient*;do
-      rm -f ${pkgdir}/usr/lib/samba/$i
+  for i in libnetapi* libwbclient* libsmbclient*;do
+      rm -f ${pkgdir}/usr/lib/$i
   done
-  for bin in tdbbackup tdbdump tdbtool net \
+  for bin in net \
       nmblookup rpcclient smbcacls smbclient \
       smbcquotas smbget smbspool smbtar smbtree; do
       rm -f ${pkgdir}/usr/bin/$bin
   done
-  rm -f ${pkgdir}/usr/include/{tdb.h,talloc.h,netapi.h}
+  rm -f ${pkgdir}/usr/include/netapi.h
   for man in rpcclient smbcacls smbclient smbcquotas \
       smbtree smbtar nmblookup smbget; do
       rm -f ${pkgdir}/usr/share/man/man1/${man}.1
   done
   rm -f ${pkgdir}/usr/share/man/man7/libsmbclient.7
   rm -f ${pkgdir}/usr/include/libsmbclient.h
+  # remove conflict files of tdb
+  rm -f ${pkgdir}/usr/bin/{tdbbackup,tdbdump,tdbtool}
   # copy ldap example
   install -D -m644 ${srcdir}/samba-${_realver}/examples/LDAP/samba.schema ${pkgdir}/usr/share/doc/samba/examples/LDAP/samba.schema
 }
-md5sums=('322379680c12057f57685652a35a6b05'
+md5sums=('491a1bc9c94ad2f1e6d1c29da271b242'
          'e93533fa2296c07c1f645dfdd373657f'
          '5697da77590ec092cc8a883bae06093c'
          'a4bbfa39fee95bba2e7ad6b535fae7e6'
          '96f82c38f3f540b53f3e5144900acf17'
-         'f2f2e348acd1ccb566e95fa8a561b828'
-         '5afd9b6346d90e002ccd6d33f175dd9a')
+         'f2f2e348acd1ccb566e95fa8a561b828')

Deleted: extra-i686/fix-workgroup-listing.patch
===================================================================
--- extra-i686/fix-workgroup-listing.patch	2010-01-14 19:44:15 UTC (rev 63112)
+++ extra-i686/fix-workgroup-listing.patch	2010-01-14 19:45:14 UTC (rev 63113)
@@ -1,63 +0,0 @@
-From e33a12ef0e64a5c8798995e0ae62fe50e3c0ebd6 Mon Sep 17 00:00:00 2001
-From: Jeremy Allison <jra at samba.org>
-Date: Mon, 9 Nov 2009 10:45:50 -0800
-Subject: [PATCH] Fix bug 6880 - cannot list workgroup servers
- reported by Alban Browaeys <prahal at yahoo.com> with fix.
- Revert 2e989bab0764c298a2530a2d4c8690258eba210c
- with extra comments - this broke workgroup enumeration.
- Jeremy.
-
----
- source3/libsmb/libsmb_dir.c |   19 ++++++++++++++-----
- 1 files changed, 14 insertions(+), 5 deletions(-)
-
-diff --git a/source3/libsmb/libsmb_dir.c b/source3/libsmb/libsmb_dir.c
-index 44ecfce..143c61c 100644
---- a/source3/libsmb/libsmb_dir.c
-+++ b/source3/libsmb/libsmb_dir.c
-@@ -617,7 +617,11 @@ SMBC_opendir_ctx(SMBCCTX *context,
-                             !is_ipaddress(server) &&
- 			    (resolve_name(server, &rem_ss, 0x1d) ||   /* LMB */
-                              resolve_name(server, &rem_ss, 0x1b) )) { /* DMB */
--
-+				/*
-+				 * "server" is actually a workgroup name,
-+				 * not a server. Make this clear.
-+				 */
-+				char *wgroup = server;
- 				fstring buserver;
- 
- 				dir->dir_type = SMBC_SERVER;
-@@ -625,12 +629,17 @@ SMBC_opendir_ctx(SMBCCTX *context,
- 				/*
- 				 * Get the backup list ...
- 				 */
--				if (!name_status_find(server, 0x20, 0x20,
-+				if (!name_status_find(wgroup, 0, 0,
-                                                       &rem_ss, buserver)) {
-+					char addr[INET6_ADDRSTRLEN];
- 
-+					print_sockaddr(addr, sizeof(addr), &rem_ss);
-                                         DEBUG(0,("Could not get name of "
--                                                 "local/domain master browser "
--                                                 "for server %s\n", server));
-+                                                "local/domain master browser "
-+                                                "for workgroup %s fro m"
-+						"address %s\n",
-+						wgroup,
-+						addr));
- 					if (dir) {
- 						SAFE_FREE(dir->fname);
- 						SAFE_FREE(dir);
-@@ -663,7 +672,7 @@ SMBC_opendir_ctx(SMBCCTX *context,
- 				dir->srv = srv;
- 
- 				/* Now, list the servers ... */
--				if (!cli_NetServerEnum(srv->cli, server,
-+				if (!cli_NetServerEnum(srv->cli, wgroup,
-                                                        0x0000FFFE, list_fn,
- 						       (void *)dir)) {
- 
--- 
-1.5.4.3
-

Deleted: extra-i686/heimdal.patch
===================================================================
--- extra-i686/heimdal.patch	2010-01-14 19:44:15 UTC (rev 63112)
+++ extra-i686/heimdal.patch	2010-01-14 19:45:14 UTC (rev 63113)
@@ -1,33 +0,0 @@
-Submitted By:            Randy McMurchy <randy_at_linuxfromscratch_dot_org>
-Date:                    2005-09-21
-Initial Package Version: 3.0.20
-Upstream Status:         Not submitted (it is not an upstream Samba issue)
-Origin:                  Randy McMurchy
-Description:             Fixes an issue if you have Heimdal installed as
-                         Heimdal uses reserved C++ words and the Samba headers
-                         now look for these conflicts. This patch comments out
-                         the check for C++ reserved words. Heimdal is aware of
-                         the issue
-
-$LastChangedBy: randy $
-$Date: 2005/09/29 18:25:12 $
-
-
---- samba-3.0.20-orig/source/include/includes.h	2005-07-28 13:19:49.000000000 +0000
-+++ samba-3.0.20/source/include/includes.h	2005-09-04 13:45:01.000000000 +0000
-@@ -25,6 +25,7 @@
- #include "config.h"
- #endif
- 
-+/*
- #ifndef __cplusplus
- #define class #error DONT_USE_CPLUSPLUS_RESERVED_NAMES
- #define private #error DONT_USE_CPLUSPLUS_RESERVED_NAMES
-@@ -36,6 +37,7 @@
- #define delete #error DONT_USE_CPLUSPLUS_RESERVED_NAMES
- #define friend #error DONT_USE_CPLUSPLUS_RESERVED_NAMES
- #endif
-+*/
- 
- #include "local.h"
- 

Deleted: extra-i686/no-clients.patch
===================================================================
--- extra-i686/no-clients.patch	2010-01-14 19:44:15 UTC (rev 63112)
+++ extra-i686/no-clients.patch	2010-01-14 19:45:14 UTC (rev 63113)
@@ -1,31 +0,0 @@
-diff -Naur samba-3.0.23-orig/source/Makefile.in samba-3.0.23/source/Makefile.in
---- samba-3.0.23-orig/source/Makefile.in	2006-07-10 09:27:55.000000000 -0700
-+++ samba-3.0.23/source/Makefile.in	2006-07-11 14:34:39.000000000 -0700
-@@ -138,14 +138,10 @@
- 
- ROOT_SBIN_PROGS = @CIFSMOUNT_PROGS@
- 
--BIN_PROGS1 = bin/smbclient at EXEEXT@ bin/net at EXEEXT@ bin/smbspool at EXEEXT@ \
--	bin/testparm at EXEEXT@ bin/smbstatus at EXEEXT@ bin/smbget at EXEEXT@
--BIN_PROGS2 = bin/smbcontrol at EXEEXT@ bin/smbtree at EXEEXT@ bin/tdbbackup at EXEEXT@ \
--	bin/nmblookup at EXEEXT@ bin/pdbedit at EXEEXT@ bin/tdbdump at EXEEXT@ \
--	bin/tdbtool at EXEEXT@
--BIN_PROGS3 = bin/smbpasswd at EXEEXT@ bin/rpcclient at EXEEXT@ bin/smbcacls at EXEEXT@ \
--	bin/profiles at EXEEXT@ bin/ntlm_auth at EXEEXT@ bin/sharesec at EXEEXT@ \
--	bin/smbcquotas at EXEEXT@ bin/eventlogadm at EXEEXT@
-+BIN_PROGS1 = bin/testparm at EXEEXT@ bin/smbstatus at EXEEXT@
-+BIN_PROGS2 = bin/smbcontrol at EXEEXT@ bin/tdbbackup at EXEEXT@ bin/pdbedit at EXEEXT@
-+BIN_PROGS3 = bin/smbpasswd at EXEEXT@ bin/profiles at EXEEXT@ bin/ntlm_auth at EXEEXT@ \
-+	bin/eventlogadm at EXEEXT@
- BIN_PROGS4 = bin/ldbedit at EXEEXT@ bin/ldbsearch at EXEEXT@ bin/ldbadd at EXEEXT@ \
- 	bin/ldbdel at EXEEXT@ bin/ldbmodify at EXEEXT@ bin/ldbrename at EXEEXT@
- 
-@@ -160,7 +156,7 @@
- 
- PAM_MODULES = @PAM_MODULES@
- 
--SCRIPTS = $(srcdir)/script/smbtar $(builddir)/script/findsmb
-+SCRIPTS = $(builddir)/script/findsmb
- 
- VFS_MODULES = @VFS_MODULES@
- PDB_MODULES = @PDB_MODULES@

Deleted: extra-i686/samba-3.0.21a-ntlmssp.patch
===================================================================
--- extra-i686/samba-3.0.21a-ntlmssp.patch	2010-01-14 19:44:15 UTC (rev 63112)
+++ extra-i686/samba-3.0.21a-ntlmssp.patch	2010-01-14 19:45:14 UTC (rev 63113)
@@ -1,13 +0,0 @@
---- ntlmssp.c.old	Fri Jan 13 15:33:50 2006
-+++ ntlmssp.c	Fri Jan 13 15:33:16 2006
-@@ -399,8 +399,9 @@
- 			ntlmssp_state->session_key.data[6] = 0x38;
- 			ntlmssp_state->session_key.data[7] = 0xb0;
- 		}
--		ntlmssp_state->session_key.length = 8;
-+      /*		ntlmssp_state->session_key.length = 8; */
- 	}
-+
- }
- 
- /**



More information about the arch-commits mailing list